GNU bug report logs - #8504
add more query-replace choice keys

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: jidanni@HIDDEN; Keywords: moreinfo; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 29.1, send any further explanations to 8504 <at> debbugs.gnu.org and jidanni@HIDDEN Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 8504 <at> debbugs.gnu.org:


Received: (at 8504) by debbugs.gnu.org; 13 Jun 2022 14:18:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 13 10:18:08 2022
Received: from localhost ([127.0.0.1]:60010 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o0ktM-0002Fu-IX
	for submit <at> debbugs.gnu.org; Mon, 13 Jun 2022 10:18:08 -0400
Received: from quimby.gnus.org ([95.216.78.240]:38386)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1o0ktK-0002FM-Rr
 for 8504 <at> debbugs.gnu.org; Mon, 13 Jun 2022 10:18:07 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=vf/B9e5mGVwEiEo7nFOip8apRi/MsxobtEP1XJJYmLk=; b=QfDwiZ4wWo17XhrHUrimHOvYVI
 YYviAQbElfT7RWGq8YNGqrTjKtIVvOIBGImubAgger8UBxQH6IGv81ehpTJOSgHBfg4m86DUDE6pt
 CF7RSteKVSrooqpbKjmT3tF5rewOOI+gBMPHoZmLTpcwZ37ssUgD3AfXb2yc6yc2l894=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1o0ktB-0000vS-9C; Mon, 13 Jun 2022 16:17:59 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#8504: add more query-replace choice keys
References: <87lizcl8ch.fsf@HIDDEN> <87levakos6.fsf@HIDDEN>
 <865ymca6mi.fsf@HIDDEN> <87o804b7qm.fsf@HIDDEN>
 <86sfpg2dz3.fsf@HIDDEN>
X-Now-Playing: Cabaret Of Complexity's _Tuxedomooning: A Tribute_: "Blind
 (full version)"
Date: Mon, 13 Jun 2022 16:17:54 +0200
In-Reply-To: <86sfpg2dz3.fsf@HIDDEN> (Juri Linkov's message of "Wed, 
 11 May 2022 20:09:20 +0300")
Message-ID: <87fsk8sl4d.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Juri Linkov <juri@HIDDEN> writes: >> When I run into
 these
 issues, I'm usually fine with most of the >> replacements it's doing, but
 I just want a single (or a couple) of >> replacements to be something
 specifically different, and hav [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 8504
Cc: jidanni@HIDDEN, 8504 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Juri Linkov <juri@HIDDEN> writes:

>> When I run into these issues, I'm usually fine with most of the
>> replacements it's doing, but I just want a single (or a couple) of
>> replacements to be something specifically different, and having a new
>> command (like `e' or something) to do that would be handy.
>
> This would be nice mnemonics: `E' for case-sensitive editing,
> and `e' case-insensitive.

I've now done this in Emacs 29.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#8504; Package emacs. Full text available.

Message received at 8504 <at> debbugs.gnu.org:


Received: (at 8504) by debbugs.gnu.org; 11 May 2022 17:22:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 11 13:22:04 2022
Received: from localhost ([127.0.0.1]:38350 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1noq2G-0001rR-Cc
	for submit <at> debbugs.gnu.org; Wed, 11 May 2022 13:22:04 -0400
Received: from relay6-d.mail.gandi.net ([217.70.183.198]:47151)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1noq2D-0001qA-5M
 for 8504 <at> debbugs.gnu.org; Wed, 11 May 2022 13:22:01 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by mail.gandi.net (Postfix) with ESMTPSA id 71F28C0005;
 Wed, 11 May 2022 17:21:52 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#8504: add more query-replace choice keys
Organization: LINKOV.NET
References: <87lizcl8ch.fsf@HIDDEN> <87levakos6.fsf@HIDDEN>
 <865ymca6mi.fsf@HIDDEN> <87o804b7qm.fsf@HIDDEN>
Date: Wed, 11 May 2022 20:09:20 +0300
In-Reply-To: <87o804b7qm.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Wed,
 11 May 2022 13:59:13 +0200")
Message-ID: <86sfpg2dz3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 8504
Cc: 8504 <at> debbugs.gnu.org, jidanni@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>> In Isearch the key `M-c' toggles case-fold searching.
>> Maybe the same key could toggle case-fold replacement in query-replace?
>
> Yes, that might be nice.  But I think adding a command to do
> a case-sensitive edit would be good, too.
>
> When I run into these issues, I'm usually fine with most of the
> replacements it's doing, but I just want a single (or a couple) of
> replacements to be something specifically different, and having a new
> command (like `e' or something) to do that would be handy.

This would be nice mnemonics: `E' for case-sensitive editing,
and `e' case-insensitive.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#8504; Package emacs. Full text available.

Message received at 8504 <at> debbugs.gnu.org:


Received: (at 8504) by debbugs.gnu.org; 11 May 2022 11:59:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 11 07:59:25 2022
Received: from localhost ([127.0.0.1]:36317 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nol01-0005Lm-NW
	for submit <at> debbugs.gnu.org; Wed, 11 May 2022 07:59:25 -0400
Received: from quimby.gnus.org ([95.216.78.240]:40220)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nokzz-0005LZ-Rr
 for 8504 <at> debbugs.gnu.org; Wed, 11 May 2022 07:59:24 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=NmQfZCNoYyc69q1t/yCznDoQXpZ3xGlE520gQjfYZKM=; b=QycJRrT+wMasHecXWTgCxB/xJM
 xA2QdO+UYvWHChdcGlkAorZPAeqGYHxGiRBC9HGSMQBnGo9TJ2QNXzNszgv0RdYewrO9/DQRaRl82
 2vEpAnm15VCkwNmeG77O3jemIelRvn8AINQiE/TKHJTXXVwkR1Cn61Uc2CRLD/Zpn1uU=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nokzq-0007qT-F7; Wed, 11 May 2022 13:59:16 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#8504: add more query-replace choice keys
References: <87lizcl8ch.fsf@HIDDEN> <87levakos6.fsf@HIDDEN>
 <865ymca6mi.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAALVBMVEUBAQIVGCUlIy9W
 UGEtM0tMOEOblqjbubLk09drcZOegX/99/mdaV94hav///+wQeS2AAAAAWJLR0QOb70wTwAAAAd0
 SU1FB+YFCwseHjEztxMAAAGDSURBVDjL5ZK/T8JAFMfvqovbvaYxjhSJiU7qlYgjbTFxkxDq4nyA
 u9Ag+13S0V+piYMDcWGGJre4uBhnEgf+F1t+lpYYBzbfeJ/7vve+d1+E1l0YdAKgQ1jLQDFK5d1j
 W6O5XALoiGCAtOK3KZgAAbwC5DJ6RlXJ2n39YaeiZiJl1WTbMtFZlWZSYJOCWnFcfpQiz6peaQkv
 eE2cKw9ZuPSklMHhMrCyAAUZVX95BUsDqI+BvFkCWw1aup0A/h4HO5xVvQkYtOPNHLd5MDmXQesj
 BvYEd+agF9usIMSJOwW8012AuhC1qUK6na+LmELywdigJwXvVefzt5nLB9G+/ZoctNpXc8k+fQwf
 KlKI0EnrcwZww3gS3tQI7y46WaeM1WUIguu8HnOxcW86+TfmBc1y4md1EkXNKqa+CQjBCqUWtU2I
 +pNphLENSFX9sEbfPtUJUmfZzobX4NwfDRljdybB86iGeqxY/suQDRt5gyRypEW9fCNnogQAzbbD
 4UDQf6gfbvaVdAPpCWcAAAAldEVYdGRhdGU6Y3JlYXRlADIwMjItMDUtMTFUMTE6MzA6MzArMDA6
 MDBifCELAAAAJXRFWHRkYXRlOm1vZGlmeQAyMDIyLTA1LTExVDExOjMwOjMwKzAwOjAwEyGZtwAA
 AABJRU5ErkJggg==
X-Now-Playing: Joni Mitchell's _Night Ride Home_: "Nothing Can Be Done"
Date: Wed, 11 May 2022 13:59:13 +0200
In-Reply-To: <865ymca6mi.fsf@HIDDEN> (Juri Linkov's message of "Wed, 
 11 May 2022 10:13:37 +0300")
Message-ID: <87o804b7qm.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Juri Linkov <juri@HIDDEN> writes: > In Isearch the key
 `M-c' toggles case-fold searching. > Maybe the same key could toggle case-fold
 replacement in query-replace? Yes, that might be nice. But I think adding
 a command to do a case-sensitive edit would be good, too. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 8504
Cc: 8504 <at> debbugs.gnu.org, jidanni@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Juri Linkov <juri@HIDDEN> writes:

> In Isearch the key `M-c' toggles case-fold searching.
> Maybe the same key could toggle case-fold replacement in query-replace?

Yes, that might be nice.  But I think adding a command to do
a case-sensitive edit would be good, too.

When I run into these issues, I'm usually fine with most of the
replacements it's doing, but I just want a single (or a couple) of
replacements to be something specifically different, and having a new
command (like `e' or something) to do that would be handy.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#8504; Package emacs. Full text available.

Message received at 8504 <at> debbugs.gnu.org:


Received: (at 8504) by debbugs.gnu.org; 11 May 2022 07:25:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 11 03:25:21 2022
Received: from localhost ([127.0.0.1]:35849 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nogin-00060C-1T
	for submit <at> debbugs.gnu.org; Wed, 11 May 2022 03:25:21 -0400
Received: from relay2-d.mail.gandi.net ([217.70.183.194]:36387)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1nogil-0005zZ-Ie
 for 8504 <at> debbugs.gnu.org; Wed, 11 May 2022 03:25:19 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by mail.gandi.net (Postfix) with ESMTPSA id 989164000B;
 Wed, 11 May 2022 07:25:12 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#8504: add more query-replace choice keys
Organization: LINKOV.NET
References: <87lizcl8ch.fsf@HIDDEN> <87levakos6.fsf@HIDDEN>
Date: Wed, 11 May 2022 10:13:37 +0300
In-Reply-To: <87levakos6.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Tue,
 10 May 2022 06:14:01 +0200")
Message-ID: <865ymca6mi.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 8504
Cc: 8504 <at> debbugs.gnu.org, jidanni@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>> There should be a key to say "yes, replace this occurrence, but
>> keep the case exact"!
>>
>> That way one wouldn't have to fiddle with any other variables and also
>> have the flexibility of two types of case policy, all within the same
>> query-replace session!
>
> I think that sounds like a good idea -- I've often been frustrated by
> this.  I.e., if you have
>
> East
>
> and (query-replace "east" "west") and then hit `E' to edit to weST,
> it'll replace that with EaST.
>
> So a precise-edit command would be nice, where it would replace that
> with weST.

In Isearch the key `M-c' toggles case-fold searching.
Maybe the same key could toggle case-fold replacement in query-replace?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#8504; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 8504 <at> debbugs.gnu.org:


Received: (at 8504) by debbugs.gnu.org; 10 May 2022 04:14:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 10 00:14:13 2022
Received: from localhost ([127.0.0.1]:60004 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1noHGH-0005CX-1D
	for submit <at> debbugs.gnu.org; Tue, 10 May 2022 00:14:13 -0400
Received: from quimby.gnus.org ([95.216.78.240]:50242)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1noHGF-0005CG-AG
 for 8504 <at> debbugs.gnu.org; Tue, 10 May 2022 00:14:11 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=3z8Axta8bN0+Wpi0cqqp1E4nruOAtR0mGWlDNmEK63w=; b=sUrcXqe0mYLBbNhrjG9PJEdIdA
 59MCwNc9lZQgXFcbtaNR9IM08uc4fSt7NC2eHtYqNRrDd/ASqJCrx2s4cAszRdM1uU9qxXOmLgZAy
 UYRattnBnctbDxNbg5HqroeSy3OmvQFLurTqIrIL7Fj6o1L4zqtRBIvjUiPFCz9fVrfs=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1noHG6-0006Ht-9L; Tue, 10 May 2022 06:14:04 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: jidanni@HIDDEN
Subject: Re: bug#8504: add more query-replace choice keys
References: <87lizcl8ch.fsf@HIDDEN>
X-Now-Playing: Joni Mitchell's _Miles of Aisles_: "Rainy Night House"
Date: Tue, 10 May 2022 06:14:01 +0200
In-Reply-To: <87lizcl8ch.fsf@HIDDEN> (jidanni@HIDDEN's message of
 "Fri, 15 Apr 2011 07:30:06 +0800")
Message-ID: <87levakos6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  jidanni@HIDDEN writes: > There should be a key to say
 "yes, replace this occurrence, but > keep the case exact"! > > That way one
 wouldn't have to fiddle with any other variables and also > have the
 flexibility of two types [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 8504
Cc: Juri Linkov <juri@HIDDEN>, 8504 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

jidanni@HIDDEN writes:

> There should be a key to say "yes, replace this occurrence, but
> keep the case exact"!
>
> That way one wouldn't have to fiddle with any other variables and also
> have the flexibility of two types of case policy, all within the same
> query-replace session!

I think that sounds like a good idea -- I've often been frustrated by
this.  I.e., if you have

East

and (query-replace "east" "west") and then hit `E' to edit to weST,
it'll replace that with EaST.

So a precise-edit command would be nice, where it would replace that
with weST.

Perhaps Juri has some comments; added to the CCs.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#8504; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 15 Apr 2011 01:44:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 14 21:44:13 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QAY4y-0000jB-G2
	for submit <at> debbugs.gnu.org; Thu, 14 Apr 2011 21:44:13 -0400
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <jidanni@HIDDEN>) id 1QAY4w-0000ix-DD
	for submit <at> debbugs.gnu.org; Thu, 14 Apr 2011 21:44:11 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <jidanni@HIDDEN>) id 1QAY4q-0001Su-7e
	for submit <at> debbugs.gnu.org; Thu, 14 Apr 2011 21:44:05 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00, RCVD_IN_DNSWL_NONE, 
	T_DKIM_INVALID autolearn=unavailable version=3.3.1
Received: from lists.gnu.org ([140.186.70.17]:56835)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <jidanni@HIDDEN>) id 1QAY4q-0001Sq-6G
	for submit <at> debbugs.gnu.org; Thu, 14 Apr 2011 21:44:04 -0400
Received: from eggs.gnu.org ([140.186.70.92]:37365)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <jidanni@HIDDEN>) id 1QAY4p-00052o-BE
	for bug-gnu-emacs@HIDDEN; Thu, 14 Apr 2011 21:44:03 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <jidanni@HIDDEN>) id 1QAY4o-0001Sd-7F
	for bug-gnu-emacs@HIDDEN; Thu, 14 Apr 2011 21:44:03 -0400
Received: from caiajhbdccah.dreamhost.com ([208.97.132.207]:48714
	helo=homiemail-a38.g.dreamhost.com)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <jidanni@HIDDEN>) id 1QAY4n-0001SY-Tf
	for bug-gnu-emacs@HIDDEN; Thu, 14 Apr 2011 21:44:02 -0400
Received: from homiemail-a38.g.dreamhost.com (localhost [127.0.0.1])
	by homiemail-a38.g.dreamhost.com (Postfix) with ESMTP id D323710AFB6
	for <bug-gnu-emacs@HIDDEN>; Thu, 14 Apr 2011 18:43:58 -0700 (PDT)
DomainKey-Signature: a=rsa-sha1; c=nofws; d=jidanni.org; h=from:to:subject
	:date:message-id:mime-version:content-type; q=dns; s=jidanni.org
	; b=hHJ2UJGDV0I6CPZQUUJ5ksBhPdBimpr6fFe2LH32aSUJ1xsKTLqnWphFxE9i
	ANvx4lfW4WvEYD7vg0MSSrUWskBwXBdYMyZbekYSn18R97CUKLN7ivfKYxhP+g7Z
	LEBYp8n983AJKf/ydkKLfqLnf89AGIUy/o3jLSeNtyXk/GM=
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=jidanni.org; h=from:to
	:subject:date:message-id:mime-version:content-type; s=
	jidanni.org; bh=IIS89AWPCNMJyyxaAIa//GV9lss=; b=ddTRSSnST3czzBwt
	wyUJQjo/tqIHPFMuFigbfLZDdIesItSQ+yNfwjxLRzUJXWpR07Qum09uzMvvJqPS
	xFU7/EAwnKM4PWq8HmwDi2UC9NCM42QBWMRoJ2gk3je6sT/M/rVhVAbume2p93zS
	XdAOVdfe8sKm78fbh6ozf01/z6k=
Received: from jidanni.org (218-163-3-137.dynamic.hinet.net [218.163.3.137])
	(using TLSv1 with cipher AES256-SHA (256/256 bits))
	(No client certificate requested)
	(Authenticated sender: jidanni@HIDDEN)
	by homiemail-a38.g.dreamhost.com (Postfix) with ESMTPSA id 704FF10AFB4
	for <bug-gnu-emacs@HIDDEN>; Thu, 14 Apr 2011 18:43:58 -0700 (PDT)
From: jidanni@HIDDEN
To: bug-gnu-emacs@HIDDEN
Subject: add more query-replace choice keys
Date: Fri, 15 Apr 2011 07:30:06 +0800
Message-ID: <87lizcl8ch.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 140.186.70.17
X-Spam-Score: -5.5 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -5.5 (-----)

There should be a key to say "yes, replace this occurrence, but
keep the case exact"!

That way one wouldn't have to fiddle with any other variables and also
have the flexibility of two types of case policy, all within the same
query-replace session!

Query replacing x with Easting.

Type Space or `y' to replace one match, Delete or `n' to skip to next,
RET or `q' to exit, Period to replace one match and exit,
Comma to replace but not move point immediately,
C-r to enter recursive edit (C-M-c to get out again),
C-w to delete match and recursive edit,
C-l to clear the screen, redisplay, and offer same replacement again,
! to replace all remaining matches with no more questions,
^ to move point back to previous match,
E to edit the replacement string

Also E gave me Easting to edit, when it really should have gave me
EASTING, which it intended to use, depending on the string I was on.

Also E above doesn't say if editing it will change it for the rest of
the queries.

Maybe there should be a F to do that too.




Acknowledgement sent to jidanni@HIDDEN:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#8504; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 13 Jun 2022 14:30:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.